export const EN_US_LANG: any = {
    "APP_TITLE": {
        "VMW_HARBOR": "VMware Harbor",
        "HARBOR": "Harbor",
        "VIC": "vSphere Integrated Containers",
        "MGMT": "Management",
        "REG": "Registry"
    },
    "SIGN_IN": {
        "REMEMBER": "Remember me",
        "INVALID_MSG": "Invalid user name or password.",
        "FORGOT_PWD": "Forgot password",
        "HEADER_LINK": "Sign In"
    },
    "SIGN_UP": {
        "TITLE": "Sign Up"
    },
    "BUTTON": {
        "CANCEL": "CANCEL",
        "OK": "OK",
        "DELETE": "DELETE",
        "LOG_IN": "LOG IN",
        "SIGN_UP_LINK": "Sign up for an account",
        "SIGN_UP": "SIGN UP",
        "CONFIRM": "CONFIRM",
        "SEND": "SEND",
        "SAVE": "SAVE",
        "TEST_MAIL": "TEST MAIL SERVER",
        "CLOSE": "CLOSE",
        "TEST_LDAP": "TEST LDAP SERVER",
        "MORE_INFO": "More info...",
        "YES": "YES",
        "NO": "NO",
        "NEGATIVE": "NEGATIVE"
    },
    "TOOLTIP": {
        "EMAIL": "Email should be a valid email address like name@example.com.",
        "USER_NAME": "Cannot contain special characters and maximum length should be 20 characters.",
        "FULL_NAME": "Maximum length should be 20 characters.",
        "COMMENT": "Length of comment should be less than 20 characters.",
        "CURRENT_PWD": "Current password is required.",
        "PASSWORD": "Password should be at least 8 characters with at least 1 uppercase, 1 lowercase and 1 number.",
        "CONFIRM_PWD": "Passwords do not match.",
        "SIGN_IN_USERNAME": "Username is required.",
        "SIGN_IN_PWD": "Password is required.",
        "SIGN_UP_MAIL": "Email is only used for resetting your password.",
        "SIGN_UP_REAL_NAME": "First and last name",
        "ITEM_REQUIRED": "Field is required.",
        "NUMBER_REQUIRED": "Field is required and should be numbers.",
        "PORT_REQUIRED": "Field is required and should be valid port number.",
        "EMAIL_EXISTING": "Email address already exists.",
        "USER_EXISTING": "Username is already in use."
    },
    "PLACEHOLDER": {
        "CURRENT_PWD": "Enter current password",
        "NEW_PWD": "Enter new password",
        "CONFIRM_PWD": "Confirm new password",
        "USER_NAME": "Enter username",
        "MAIL": "Enter email address",
        "FULL_NAME": "Enter full name",
        "SIGN_IN_NAME": "Username",
        "SIGN_IN_PWD": "Password"
    },
    "PROFILE": {
        "TITLE": "User Profile",
        "USER_NAME": "Username",
        "EMAIL": "Email",
        "FULL_NAME": "First and last name",
        "COMMENT": "Comments",
        "PASSWORD": "Password",
        "SAVE_SUCCESS": "User profile saved successfully."
    },
    "CHANGE_PWD": {
        "TITLE": "Change Password",
        "CURRENT_PWD": "Current Password",
        "NEW_PWD": "New Password",
        "CONFIRM_PWD": "Confirm Password",
        "SAVE_SUCCESS": "User password changed successfully.",
        "PASS_TIPS": "At least 8 characters with 1 uppercase, 1 lowercase and 1 number"
    },
    "ACCOUNT_SETTINGS": {
        "PROFILE": "User Profile",
        "CHANGE_PWD": "Change Password",
        "ABOUT": "About",
        "LOGOUT": "Log Out",
        "ROOT_CERT": "Download Root Cert"
    },
    "GLOBAL_SEARCH": {
        "PLACEHOLDER": "Search Harbor...",
        "PLACEHOLDER_VIC": "Search Registry..."
    },
    "SIDE_NAV": {
        "DASHBOARD": "Dashboard",
        "PROJECTS": "Projects",
        "SYSTEM_MGMT": {
            "NAME": "Administration",
            "USER": "Users",
            "REPLICATION": "Replication",
            "CONFIG": "Configuration"
        },
        "LOGS": "Logs"
    },
    "USER": {
        "ADD_ACTION": "USER",
        "ENABLE_ADMIN_ACTION": "Set as Administrator",
        "DISABLE_ADMIN_ACTION": "Revoke Administrator",
        "DEL_ACTION": "Delete",
        "FILTER_PLACEHOLDER": "Filter users",
        "COLUMN_NAME": "Name",
        "COLUMN_ADMIN": "Administrator",
        "COLUMN_EMAIL": "Email",
        "COLUMN_REG_NAME": "Registration time",
        "IS_ADMIN": "Yes",
        "IS_NOT_ADMIN": "No",
        "ADD_USER_TITLE": "New User",
        "SAVE_SUCCESS": "New user created successfully.",
        "DELETION_TITLE": "Confirm user deletion",
        "DELETION_SUMMARY": "Do you want to delete user {{param}}?",
        "DELETE_SUCCESS": "User deleted successfully.",
        "ITEMS": "item(s)"
    },
    "PROJECT": {
        "PROJECTS": "Projects",
        "NAME": "Project Name",
        "ROLE": "Role",
        "PUBLIC_OR_PRIVATE": "Access Level",
        "REPO_COUNT": "Repositories Count",
        "CREATION_TIME": "Creation Time",
        "PUBLIC": "Public",
        "PRIVATE": "Private",
        "MAKE": "Make",
        "NEW_POLICY": "New Replication Rule",
        "DELETE": "Delete",
        "MY_PROJECTS": "All Projects",
        "PUBLIC_PROJECTS": "Public Projects",
        "PROJECT": "Project",
        "NEW_PROJECT": "New Project",
        "NAME_IS_REQUIRED": "Project name is required.",
        "NAME_MINIMUM_LENGTH": "Project name is too short, it should be greater than 2 characters.",
        "NAME_ALREADY_EXISTS": "Project name already exists.",
        "NAME_IS_ILLEGAL": "Project name is invalid.",
        "UNKNOWN_ERROR": "An unknown error occurred while creating the project.",
        "ITEMS": "item(s)",
        "DELETION_TITLE": "Confirm project deletion",
        "DELETION_SUMMARY": "Do you want to delete project {{param}}?",
        "FILTER_PLACEHOLDER": "Filter Projects",
        "REPLICATION_RULE": "Replication Rule",
        "CREATED_SUCCESS": "Created project successfully.",
        "DELETED_SUCCESS": "Deleted project successfully.",
        "TOGGLED_SUCCESS": "Toggled project successfully.",
        "FAILED_TO_DELETE_PROJECT": "Project contains repositories or replication rules cannot be deleted.",
        "INLINE_HELP_PUBLIC": "When a project is set to public, anyone has read permission to the repositories under this project, and the user does not need to run \"docker login\" before pulling images under this project."
    },
    "PROJECT_DETAIL": {
        "REPOSITORIES": "Repositories",
        "REPLICATION": "Replication",
        "USERS": "Members",
        "LOGS": "Logs",
        "PROJECTS": "Projects"
    },
    "MEMBER": {
        "NEW_MEMBER": "New Member",
        "MEMBER": "Member",
        "NAME": "Name",
        "ROLE": "Role",
        "SYS_ADMIN": "System Admin",
        "PROJECT_ADMIN": "Project Admin",
        "DEVELOPER": "Developer",
        "GUEST": "Guest",
        "DELETE": "Delete",
        "ITEMS": "item(s)",
        "ACTIONS": "Actions",
        "USERNAME_IS_REQUIRED": "Username is required",
        "USERNAME_DOES_NOT_EXISTS": "Username does not exist.",
        "USERNAME_ALREADY_EXISTS": "Username already exists.",
        "UNKNOWN_ERROR": "Unknown error occurred while adding member.",
        "FILTER_PLACEHOLDER": "Filter Members",
        "DELETION_TITLE": "Confirm project member deletion",
        "DELETION_SUMMARY": "Do you want to delete project member {{param}}?",
        "ADDED_SUCCESS": "Added member successfully.",
        "DELETED_SUCCESS": "Deleted member successfully.",
        "SWITCHED_SUCCESS": "Switched member role successfully."
    },
    "AUDIT_LOG": {
        "USERNAME": "Username",
        "REPOSITORY_NAME": "Repository Name",
        "TAGS": "Tags",
        "OPERATION": "Operation",
        "OPERATIONS": "Operations",
        "TIMESTAMP": "Timestamp",
        "ALL_OPERATIONS": "All Operations",
        "PULL": "Pull",
        "PUSH": "Push",
        "CREATE": "Create",
        "DELETE": "Delete",
        "OTHERS": "Others",
        "ADVANCED": "Advanced",
        "SIMPLE": "Simple",
        "ITEMS": "item(s)",
        "FILTER_PLACEHOLDER": "Filter Logs",
        "INVALID_DATE": "Invalid date."
    },
    "REPLICATION": {
        "REPLICATION_RULE": "Replication Rule",
        "NEW_REPLICATION_RULE": "New Replication Rule",
        "ENDPOINTS": "Endpoints",
        "FILTER_POLICIES_PLACEHOLDER": "Filter Rules",
        "FILTER_JOBS_PLACEHOLDER": "Filter Jobs",
        "DELETION_TITLE": "Confirm Rule Deletion",
        "DELETION_SUMMARY": "Do you want to delete rule {{param}}?",
        "FILTER_TARGETS_PLACEHOLDER": "Filter Endpoints",
        "DELETION_TITLE_TARGET": "Confirm Endpoint Deletion",
        "DELETION_SUMMARY_TARGET": "Do you want to delete the endpoint {{param}}?",
        "ADD_POLICY": "New Replication Rule",
        "EDIT_POLICY": "Edit",
        "EDIT_POLICY_TITLE": "Edit Replication Rule",
        "DELETE_POLICY": "Delete",
        "TEST_CONNECTION": "Test Connection",
        "TESTING_CONNECTION": "Testing Connection...",
        "TEST_CONNECTION_SUCCESS": "Connection tested successfully.",
        "TEST_CONNECTION_FAILURE": "Failed to ping endpoint.",
        "NAME": "Name",
        "PROJECT": "Project",
        "NAME_IS_REQUIRED": "Name is required.",
        "DESCRIPTION": "Description",
        "ENABLE": "Enable",
        "DISABLE": "Disable",
        "DESTINATION_NAME": "Endpoint Name",
        "DESTINATION_NAME_IS_REQUIRED": "Endpoint name is required.",
        "NEW_DESTINATION": "New Endpoint",
        "DESTINATION_URL": "Endpoint URL",
        "DESTINATION_URL_IS_REQUIRED": "Endpoint URL is required.",
        "DESTINATION_USERNAME": "Username",
        "DESTINATION_PASSWORD": "Password",
        "ALL_STATUS": "All Status",
        "ENABLED": "Enabled",
        "DISABLED": "Disabled",
        "LAST_START_TIME": "Last Start Time",
        "ACTIVATION": "Activation",
        "REPLICATION_JOBS": "Replication Jobs",
        "ALL": "All",
        "PENDING": "Pending",
        "RUNNING": "Running",
        "ERROR": "Error",
        "RETRYING": "Retrying",
        "STOPPED": "Stopped",
        "FINISHED": "Finished",
        "CANCELED": "Canceled",
        "SIMPLE": "Simple",
        "ADVANCED": "Advanced",
        "STATUS": "Status",
        "OPERATION": "Operation",
        "CREATION_TIME": "Start Time",
        "END_TIME": "End Time",
        "LOGS": "Logs",
        "OF": "of",
        "ITEMS": "item(s)",
        "TOGGLE_ENABLE_TITLE": "Enable Rule",
        "CONFIRM_TOGGLE_ENABLE_POLICY": "After enabling the replication rule, all repositories under the project will be replicated to the destination registry. \nPlease confirm to continue.",
        "TOGGLE_DISABLE_TITLE": "Disable Rule",
        "CONFIRM_TOGGLE_DISABLE_POLICY": "After disabling the rule, all unfinished replication jobs of this rule will be stopped and canceled. \nPlease confirm to continue.",
        "CREATED_SUCCESS": "Created replication rule successfully.",
        "UPDATED_SUCCESS": "Updated replication rule successfully.",
        "DELETED_SUCCESS": "Deleted replication rule successfully.",
        "DELETED_FAILED": "Deleted replication rule failed.",
        "TOGGLED_SUCCESS": "Toggled replication rule status successfully.",
        "CANNOT_EDIT": "Replication rule cannot be changed while it is enabled.",
        "POLICY_ALREADY_EXISTS": "Replication rule already exists.",
        "FAILED_TO_DELETE_POLICY_ENABLED": "Cannot delete rule: rule has unfinished job(s) or rule is enabled.",
        "FOUND_ERROR_IN_JOBS": "Found errors in the replication job(s), please check.",
        "INVALID_DATE": "Invalid date."
    },
    "DESTINATION": {
        "NEW_ENDPOINT": "New Endpoint",
        "ENDPOINT": "Endpoint",
        "NAME": "Endpoint Name",
        "NAME_IS_REQUIRED": "Endpoint name is required.",
        "URL": "Endpoint URL",
        "URL_IS_REQUIRED": "Endpoint URL is required.",
        "USERNAME": "Username",
        "PASSWORD": "Password",
        "TEST_CONNECTION": "Test Connection",
        "TITLE_EDIT": "Edit Endpoint",
        "TITLE_ADD": "Create Endpoint",
        "DELETE": "Delete Endpoint",
        "TESTING_CONNECTION": "Testing Connection...",
        "TEST_CONNECTION_SUCCESS": "Connection tested successfully.",
        "TEST_CONNECTION_FAILURE": "Failed to ping endpoint.",
        "CONFLICT_NAME": "Endpoint name or URL already exists.",
        "INVALID_NAME": "Invalid endpoint name.",
        "FAILED_TO_GET_TARGET": "Failed to get endpoint.",
        "CREATION_TIME": "Creation Time",
        "ITEMS": "item(s)",
        "CREATED_SUCCESS": "Created endpoint successfully.",
        "UPDATED_SUCCESS": "Updated endpoint successfully.",
        "DELETED_SUCCESS": "Deleted endpoint successfully.",
        "DELETED_FAILED": "Deleted endpoint failed.",
        "CANNOT_EDIT": "Endpoint cannot be changed while the replication rule is enabled.",
        "FAILED_TO_DELETE_TARGET_IN_USED": "Failed to delete the endpoint in use."
    },
    "REPOSITORY": {
        "COPY_ID": "Copy ID",
        "COPY_PARENT_ID": "Copy Parent ID",
        "DELETE": "Delete",
        "NAME": "Name",
        "TAGS_COUNT": "Tags",
        "PULL_COUNT": "Pulls",
        "PULL_COMMAND": "Pull Command",
        "MY_REPOSITORY": "My Repository",
        "PUBLIC_REPOSITORY": "Public Repository",
        "DELETION_TITLE_REPO": "Confirm Repository Deletion",
        "DELETION_SUMMARY_REPO": "Do you want to delete repository {{param}}?",
        "DELETION_TITLE_TAG": "Confirm Tag Deletion",
        "DELETION_SUMMARY_TAG": "Do you want to delete tag {{param}}?",
        "DELETION_TITLE_TAG_DENIED": "Signed tag cannot be deleted",
        "DELETION_SUMMARY_TAG_DENIED": "The tag must be removed from the Notary before it can be deleted.\nDelete from Notary via this command:\n{{param}}",
        "FILTER_FOR_REPOSITORIES": "Filter Repositories",
        "TAG": "Tag",
        "SIGNED": "Signed",
        "AUTHOR": "Author",
        "CREATED": "Creation Time",
        "DOCKER_VERSION": "Docker Version",
        "ARCHITECTURE": "Architecture",
        "OS": "OS",
        "SHOW_DETAILS": "Show Details",
        "REPOSITORIES": "Repositories",
        "ITEMS": "item(s)",
        "POP_REPOS": "Popular Repositories",
        "DELETED_REPO_SUCCESS": "Deleted repository successfully.",
        "DELETED_TAG_SUCCESS": "Deleted tag successfully.",
        "COPY": "Copy"
    },
    "ALERT": {
        "FORM_CHANGE_CONFIRMATION": "Some changes are not saved yet. Do you want to cancel?"
    },
    "RESET_PWD": {
        "TITLE": "Reset Password",
        "CAPTION": "Enter your email to reset your password",
        "EMAIL": "Email",
        "SUCCESS": "Mail with password resetting link is successfully sent. You can close this dialog and check your mailbox.",
        "CAPTION2": "Enter your new password",
        "RESET_OK": "Password has been successfully reset. Click OK to login with new password."
    },
    "RECENT_LOG": {
        "SUB_TITLE": "Show",
        "SUB_TITLE_SUFIX": "logs"
    },
    "CONFIG": {
        "TITLE": "Configuration",
        "AUTH": "Authentication",
        "REPLICATION": "Replication",
        "EMAIL": "Email",
        "SYSTEM": "System Settings",
        "CONFIRM_TITLE": "Confirm to cancel",
        "CONFIRM_SUMMARY": "Some changes have not been saved. Do you want to discard them?",
        "SAVE_SUCCESS": "Configuration has been successfully saved.",
        "MAIL_SERVER": "Email Server",
        "MAIL_SERVER_PORT": "Email Server Port",
        "MAIL_USERNAME": "Email Username",
        "MAIL_PASSWORD": "Email Password",
        "MAIL_FROM": "Email From",
        "MAIL_SSL": "Email SSL",
        "SSL_TOOLTIP": "Enable SSL for email server connection",
        "VERIFY_REMOTE_CERT": "Verify Remote Cert",
        "TOKEN_EXPIRATION": "Token Expiration (Minutes)",
        "AUTH_MODE": "Auth Mode",
        "PRO_CREATION_RESTRICTION": "Project Creation",
        "SELF_REGISTRATION": "Allow Self-Registration",
        "AUTH_MODE_DB": "Database",
        "AUTH_MODE_LDAP": "LDAP",
        "SCOPE_BASE": "Base",
        "SCOPE_ONE_LEVEL": "OneLevel",
        "SCOPE_SUBTREE": "Subtree",
        "PRO_CREATION_EVERYONE": "Everyone",
        "PRO_CREATION_ADMIN": "Admin Only",
        "TOOLTIP": {
            "SELF_REGISTRATION": "Enable sign up.",
            "VERIFY_REMOTE_CERT": "Determine whether the image replication should verify the certificate of a remote Harbor registry. Uncheck this box when the remote registry uses a self-signed or untrusted certificate.",
            "AUTH_MODE": "By default the authentication mode is database, i.e. the credentials are stored in a local database. Set it to LDAP if you want to verify a user's credential against an LDAP server.",
            "LDAP_SEARCH_DN": "A user's DN who has the permission to search the LDAP/AD server. If your LDAP/AD server does not support anonymous search, you should configure this DN and ldap_search_pwd.",
            "LDAP_BASE_DN": "The base DN from which to look up a user in LDAP/AD.",
            "LDAP_UID": "The attribute used in a search to match a user. It could be uid, cn, email, sAMAccountName or other attributes depending on your LDAP/AD.",
            "LDAP_SCOPE": "The scope to search for users",
            "TOKEN_EXPIRATION": "The expiration time (in minutes) of a token created by the token service. Default is 30 minutes.",
            "PRO_CREATION_RESTRICTION": "The flag to define what users have permission to create projects. By default, everyone can create a project. Set to 'Admin Only' so that only an administrator can create a project."
        },
        "LDAP": {
            "URL": "LDAP URL",
            "SEARCH_DN": "LDAP Search DN",
            "SEARCH_PWD": "LDAP Search Password",
            "BASE_DN": "LDAP Base DN",
            "FILTER": "LDAP Filter",
            "UID": "LDAP UID",
            "SCOPE": "LDAP Scope"
        },
        "TEST_MAIL_SUCCESS": "Connection to mail server is verified.",
        "TEST_LDAP_SUCCESS": "Connection to LDAP server is verified.",
        "TEST_MAIL_FAILED": "Failed to verify mail server with error: {{param}}.",
        "TEST_LDAP_FAILED": "Failed to verify LDAP server with error: {{param}}.",
        "LEAVING_CONFIRMATION_TITLE": "Confirm to leave",
        "LEAVING_CONFIRMATION_SUMMARY": "Changes have not been saved yet. Do you want to leave current page?"
    },
    "PAGE_NOT_FOUND": {
        "MAIN_TITLE": "Page not found",
        "SUB_TITLE": "Redirecting to main page in",
        "UNIT": "seconds..."
    },
    "ABOUT": {
        "VERSION": "Version",
        "BUILD": "Build",
        "COPYRIGHT": "Copyright 1998-2017 VMware, Inc. All rights reserved. This product is protected by U.S. and international property laws. VMware products are covered by one or more patents listed at",
        "COPYRIGHT_SUFIX": ".",
        "TRADEMARK": "VMware is a registered trademark or trademark of VMware, Inc. in the United States and other jurisdictions. All other marks and names mentioned herein may be trademark of their respective companies.",
        "END_USER_LICENSE": "End User License Agreement",
        "OPEN_SOURCE_LICENSE": "Open Source/Third Party License"
    },
    "START_PAGE": {
        "GETTING_START": "",
        "GETTING_START_TITLE": "Getting Started"
    },
    "TOP_REPO": "Popular Repositories",
    "STATISTICS": {
        "TITLE": "STATISTICS",
        "PRO_ITEM": "PROJECTS",
        "REPO_ITEM": "REPOSITORIES",
        "INDEX_MY": "MY",
        "INDEX_MY_PROJECTS": "MY PROJECTS",
        "INDEX_MY_REPOSITORIES": "MY REPOSITORIES",
        "INDEX_PUB": "PUBLIC",
        "INDEX_TOTAL": "TOTAL",
        "STORAGE": "STORAGE",
        "LIMIT": "Limit"
    },
    "SEARCH": {
        "IN_PROGRESS": "Search...",
        "BACK": "Back"
    },
    "VULNERABILITY": {
        "STATE": {
            "PENDING": "SCAN NOW",
            "QUEUED": "Queued",
            "ERROR": "Error",
            "SCANNING": "Scanning",
            "UNKNOWN": "Unknown"
        },
        "GRID": {
            "PLACEHOLDER": "We couldn't find any scanning results!",
            "COLUMN_ID": "Vulnerability",
            "COLUMN_SEVERITY": "Severity",
            "COLUMN_PACKAGE": "Package",
            "COLUMN_VERSION": "Current version",
            "COLUMN_FIXED": "Fixed in version",
            "COLUMN_LAYER": "Introduced in layer",
            "FOOT_ITEMS": "Items",
            "FOOT_OF": "of"
        },
        "CHART": {
            "SCANNING_TIME": "Scan completed",
            "SEVERITY_HIGH": "High severity",
            "SEVERITY_MEDIUM": "Medium severity",
            "SEVERITY_LOW": "Low severity",
            "SEVERITY_UNKNOWN": "Unknown",
            "SEVERITY_NONE": "No Vulnerabilities"
        },
    },
    "UNKNOWN_ERROR": "Unknown errors have occurred. Please try again later.",
    "UNAUTHORIZED_ERROR": "Your session is invalid or has expired. You need to sign in to continue your action.",
    "FORBIDDEN_ERROR": "You do not have the proper privileges to perform the action.",
    "GENERAL_ERROR": "Errors have occurred when performing service call: {{param}}.",
    "BAD_REQUEST_ERROR": "We are unable to perform your action because of a bad request.",
    "NOT_FOUND_ERROR": "Your request cannot be completed because the object does not exist.",
    "CONFLICT_ERROR": "We are unable to perform your action because your submission has conflicts.",
    "PRECONDITION_FAILED": "We are unable to perform your action because of a precondition failure.",
    "SERVER_ERROR": "We are unable to perform your action because internal server errors have occurred.",
    "INCONRRECT_OLD_PWD": "The old password is incorrect.",
    "UNKNOWN": "n/a"
};